	//----------NonResidentialInvestigateTable开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：NonResidentialInvestigateTable 
        /// </summary>
		[Table("NonResidentialInvestigateTable")]
        public partial class NonResidentialInvestigateTable: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 非住宅调查表编号
                /// </summary>    
				
				[Display(Name="非住宅调查表编号")]   
								[Column("No")]   
				[DataMember]  
			    public string No  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectId")]   
				[DataMember]  
			    public Guid ProjectId  {get;set;}   
                                /// <summary>
                /// 项目名称
                /// </summary>    
				
				[Display(Name="项目名称")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 产权人
                /// </summary>    
				
				[Display(Name="产权人")]   
								[Column("PropertyRightPrson")]   
				[DataMember]  
			    public string PropertyRightPrson  {get;set;}   
                                /// <summary>
                /// 身份证，证件号码
                /// </summary>    
				
				[Display(Name="身份证，证件号码")]   
								[Column("PropertyRightPrsonCardNo")]   
				[DataMember]  
			    public string PropertyRightPrsonCardNo  {get;set;}   
                                /// <summary>
                /// 法定代表人
                /// </summary>    
				
				[Display(Name="法定代表人")]   
								[Column("TheLegalRepresentative")]   
				[DataMember]  
			    public string TheLegalRepresentative  {get;set;}   
                                /// <summary>
                /// 法定代表人联系电话
                /// </summary>    
				
				[Display(Name="法定代表人联系电话")]   
								[Column("TheLegalRepresentativePhone")]   
				[DataMember]  
			    public string TheLegalRepresentativePhone  {get;set;}   
                                /// <summary>
                /// 承租人
                /// </summary>    
				
				[Display(Name="承租人")]   
								[Column("Lessee")]   
				[DataMember]  
			    public string Lessee  {get;set;}   
                                /// <summary>
                /// 承租人证件号码
                /// </summary>    
				
				[Display(Name="承租人证件号码")]   
								[Column("LesseeCardNo")]   
				[DataMember]  
			    public string LesseeCardNo  {get;set;}   
                                /// <summary>
                /// 联系电话
                /// </summary>    
				
				[Display(Name="联系电话")]   
								[Column("Phone")]   
				[DataMember]  
			    public string Phone  {get;set;}   
                                /// <summary>
                /// 营业执照号
                /// </summary>    
				
				[Display(Name="营业执照号")]   
								[Column("BusinessLicenseNo")]   
				[DataMember]  
			    public string BusinessLicenseNo  {get;set;}   
                                /// <summary>
                /// 房屋坐落
                /// </summary>    
				
				[Display(Name="房屋坐落")]   
								[Column("HouseAddress")]   
				[DataMember]  
			    public string HouseAddress  {get;set;}   
                                /// <summary>
                /// 产权性质ID
                /// </summary>    
				
				[Display(Name="产权性质ID")]   
								[Column("NatureOfPropertyID")]   
				[DataMember]  
			    public string NatureOfPropertyID  {get;set;}   
                                /// <summary>
                /// 产权性质
                /// </summary>    
				
				[Display(Name="产权性质")]   
								[Column("NatureOfProperty")]   
				[DataMember]  
			    public string NatureOfProperty  {get;set;}   
                                /// <summary>
                /// 权证建筑面积
                /// </summary>    
				
				[Display(Name="权证建筑面积")]   
								[Column("BuildingArea")]   
				[DataMember]  
			    public decimal? BuildingArea  {get;set;}   
                                /// <summary>
                /// 使用情况ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="使用情况ID 关联字典表ID")]   
								[Column("UsageID")]   
				[DataMember]  
			    public Guid? UsageID  {get;set;}   
                                /// <summary>
                /// 使用状况
                /// </summary>    
				
				[Display(Name="使用状况")]   
								[Column("UsageSituation")]   
				[DataMember]  
			    public string UsageSituation  {get;set;}   
                                /// <summary>
                /// 土地证号
                /// </summary>    
				
				[Display(Name="土地证号")]   
								[Column("LandCardNo")]   
				[DataMember]  
			    public string LandCardNo  {get;set;}   
                                /// <summary>
                /// 土地证记载面积
                /// </summary>    
				
				[Display(Name="土地证记载面积")]   
								[Column("LandCardArea")]   
				[DataMember]  
			    public decimal? LandCardArea  {get;set;}   
                                /// <summary>
                /// 土地证记载用途/房屋用途
                /// </summary>    
				
				[Display(Name="土地证记载用途/房屋用途")]   
								[Column("LandCardUse")]   
				[DataMember]  
			    public string LandCardUse  {get;set;}   
                                /// <summary>
                /// 土地取得方式
                /// </summary>    
				
				[Display(Name="土地取得方式")]   
								[Column("LandAchieveWay")]   
				[DataMember]  
			    public string LandAchieveWay  {get;set;}   
                                /// <summary>
                /// 商业-房号
                /// </summary>    
				
				[Display(Name="商业-房号")]   
								[Column("BusinessHouseNo")]   
				[DataMember]  
			    public string BusinessHouseNo  {get;set;}   
                                /// <summary>
                /// 商业-结构等级
                /// </summary>    
				
				[Display(Name="商业-结构等级")]   
								[Column("BusinessStructureLevel")]   
				[DataMember]  
			    public string BusinessStructureLevel  {get;set;}   
                                /// <summary>
                /// 商业-建筑面积
                /// </summary>    
				
				[Display(Name="商业-建筑面积")]   
								[Column("BusinessBuildArea")]   
				[DataMember]  
			    public decimal? BusinessBuildArea  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandAcquisitionBCWillingness")]   
				[DataMember]  
			    public string LandAcquisitionBCWillingness  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Razon")]   
				[DataMember]  
			    public string Razon  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandAcquisitionWillingness")]   
				[DataMember]  
			    public string LandAcquisitionWillingness  {get;set;}   
                                /// <summary>
                /// 办公-房号
                /// </summary>    
				
				[Display(Name="办公-房号")]   
								[Column("OfficeHouseNo")]   
				[DataMember]  
			    public string OfficeHouseNo  {get;set;}   
                                /// <summary>
                /// 放工-结构等级
                /// </summary>    
				
				[Display(Name="放工-结构等级")]   
								[Column("OfficeStructureLevel")]   
				[DataMember]  
			    public string OfficeStructureLevel  {get;set;}   
                                /// <summary>
                /// 办公-建筑面积
                /// </summary>    
				
				[Display(Name="办公-建筑面积")]   
								[Column("OfficeBuildArea")]   
				[DataMember]  
			    public decimal? OfficeBuildArea  {get;set;}   
                                /// <summary>
                /// 工业-房号
                /// </summary>    
				
				[Display(Name="工业-房号")]   
								[Column("IndustrialHouseNo")]   
				[DataMember]  
			    public string IndustrialHouseNo  {get;set;}   
                                /// <summary>
                /// 工业-结构等级
                /// </summary>    
				
				[Display(Name="工业-结构等级")]   
								[Column("IndustrialStructureLevel")]   
				[DataMember]  
			    public string IndustrialStructureLevel  {get;set;}   
                                /// <summary>
                /// 工业-建筑面积
                /// </summary>    
				
				[Display(Name="工业-建筑面积")]   
								[Column("IndustrialBuildArea")]   
				[DataMember]  
			    public decimal? IndustrialBuildArea  {get;set;}   
                                /// <summary>
                /// 仓储-房号
                /// </summary>    
				
				[Display(Name="仓储-房号")]   
								[Column("StorageHouseNo")]   
				[DataMember]  
			    public string StorageHouseNo  {get;set;}   
                                /// <summary>
                /// 仓储-结构等级
                /// </summary>    
				
				[Display(Name="仓储-结构等级")]   
								[Column("StorageStructureLevel")]   
				[DataMember]  
			    public string StorageStructureLevel  {get;set;}   
                                /// <summary>
                /// 仓储-建筑面积
                /// </summary>    
				
				[Display(Name="仓储-建筑面积")]   
								[Column("StorageBuildArea")]   
				[DataMember]  
			    public decimal? StorageBuildArea  {get;set;}   
                                /// <summary>
                /// 房屋用途中其他的名称
                /// </summary>    
				
				[Display(Name="房屋用途中其他的名称")]   
								[Column("OtherName")]   
				[DataMember]  
			    public string OtherName  {get;set;}   
                                /// <summary>
                /// 其他-房号
                /// </summary>    
				
				[Display(Name="其他-房号")]   
								[Column("OtherHouseNo")]   
				[DataMember]  
			    public string OtherHouseNo  {get;set;}   
                                /// <summary>
                /// 其他-结构等级
                /// </summary>    
				
				[Display(Name="其他-结构等级")]   
								[Column("OtherStructureLevel")]   
				[DataMember]  
			    public string OtherStructureLevel  {get;set;}   
                                /// <summary>
                /// 其他-建筑面积
                /// </summary>    
				
				[Display(Name="其他-建筑面积")]   
								[Column("OtherBuildArea")]   
				[DataMember]  
			    public decimal? OtherBuildArea  {get;set;}   
                                /// <summary>
                /// 未登记-坐落
                /// </summary>    
				
				[Display(Name="未登记-坐落")]   
								[Column("UnReg_Address")]   
				[DataMember]  
			    public string UnReg_Address  {get;set;}   
                                /// <summary>
                /// 未登记-建筑面积
                /// </summary>    
				
				[Display(Name="未登记-建筑面积")]   
								[Column("UnReg_BuildArea")]   
				[DataMember]  
			    public string UnReg_BuildArea  {get;set;}   
                                /// <summary>
                /// 未登记-建造年份
                /// </summary>    
				
				[Display(Name="未登记-建造年份")]   
								[Column("UnReg_BuildYear")]   
				[DataMember]  
			    public string UnReg_BuildYear  {get;set;}   
                                /// <summary>
                /// 未登记-实际用途
                /// </summary>    
				
				[Display(Name="未登记-实际用途")]   
								[Column("UnReg_PracticalUse")]   
				[DataMember]  
			    public string UnReg_PracticalUse  {get;set;}   
                                /// <summary>
                /// 房屋征收相关文书送达地址
                /// </summary>    
				
				[Display(Name="房屋征收相关文书送达地址")]   
								[Column("DocumentToAddress")]   
				[DataMember]  
			    public string DocumentToAddress  {get;set;}   
                                /// <summary>
                /// 收件联系人
                /// </summary>    
				
				[Display(Name="收件联系人")]   
								[Column("ReceiveContactPerson")]   
				[DataMember]  
			    public string ReceiveContactPerson  {get;set;}   
                                /// <summary>
                /// 收件联系手机
                /// </summary>    
				
				[Display(Name="收件联系手机")]   
								[Column("ReceiveContactPhone")]   
				[DataMember]  
			    public string ReceiveContactPhone  {get;set;}   
                                /// <summary>
                /// 调查人
                /// </summary>    
				
				[Display(Name="调查人")]   
								[Column("InvestigateUserId")]   
				[DataMember]  
			    public Guid? InvestigateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("InvestigateUserName")]   
				[DataMember]  
			    public string InvestigateUserName  {get;set;}   
                                /// <summary>
                /// 调查时间
                /// </summary>    
				
				[Display(Name="调查时间")]   
								[Column("InvestigateDate")]   
				[DataMember]  
			    public DateTime? InvestigateDate  {get;set;}   
                                /// <summary>
                /// 业主（产权人）签字
                /// </summary>    
				
				[Display(Name="业主（产权人）签字")]   
								[Column("PropertyRightPrsonSign")]   
				[DataMember]  
			    public string PropertyRightPrsonSign  {get;set;}   
                                /// <summary>
                /// 业主（产权人）签字时间
                /// </summary>    
				
				[Display(Name="业主（产权人）签字时间")]   
								[Column("PropertyRightPrsonSignDate")]   
				[DataMember]  
			    public DateTime? PropertyRightPrsonSignDate  {get;set;}   
                                /// <summary>
                /// 是否发布到公开系统
                /// </summary>    
				
				[Display(Name="是否发布到公开系统")]   
								[Column("IsReleaseToOpenSys")]   
				[DataMember]  
			    public bool IsReleaseToOpenSys  {get;set;}   
                                /// <summary>
                ///  发布到公开系统时间
                /// </summary>    
				
				[Display(Name=" 发布到公开系统时间")]   
								[Column("ReleaseToOpenSysDate")]   
				[DataMember]  
			    public DateTime? ReleaseToOpenSysDate  {get;set;}   
                                /// <summary>
                /// 发布到公开系统人员ID
                /// </summary>    
				
				[Display(Name="发布到公开系统人员ID")]   
								[Column("ReleaseToOpenSysUserId")]   
				[DataMember]  
			    public Guid? ReleaseToOpenSysUserId  {get;set;}   
                                /// <summary>
                /// 登记人ID
                /// </summary>    
				
				[Display(Name="登记人ID")]   
								[Column("RegisterUserId")]   
				[DataMember]  
			    public Guid? RegisterUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("RegisterUserName")]   
				[DataMember]  
			    public string RegisterUserName  {get;set;}   
                                /// <summary>
                /// 登记日期
                /// </summary>    
				
				[Display(Name="登记日期")]   
								[Column("RegisterDate")]   
				[DataMember]  
			    public DateTime? RegisterDate  {get;set;}   
                                /// <summary>
                /// 修改人员
                /// </summary>    
				
				[Display(Name="修改人员")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 修改日期
                /// </summary>    
				
				[Display(Name="修改日期")]   
								[Column("UpdateDate")]   
				[DataMember]  
			    public DateTime? UpdateDate  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 非住宅调查表附件
                /// </summary>    
				
				[Display(Name="非住宅调查表附件")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfqy")]   
				[DataMember]  
			    public int Sfqy  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("JztdArea")]   
				[DataMember]  
			    public decimal? JztdArea  {get;set;}   
                                /// <summary>
                /// 证件类别
                /// </summary>    
				
				[Display(Name="证件类别")]   
								[Column("CodeLB")]   
				[DataMember]  
			    public string CodeLB  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("IsOpen")]   
				[DataMember]  
			    public int IsOpen  {get;set;}   
                                /// <summary>
                /// 房产证号
                /// </summary>    
				
				[Display(Name="房产证号")]   
								[Column("PropertyRightCardNo")]   
				[DataMember]  
			    public string PropertyRightCardNo  {get;set;}   
                                /// <summary>
                /// 证载面积
                /// </summary>    
				
				[Display(Name="证载面积")]   
								[Column("PropertyRightArea")]   
				[DataMember]  
			    public decimal? PropertyRightArea  {get;set;}   
                                /// <summary>
                /// 土地核定面积
                /// </summary>    
				
				[Display(Name="土地核定面积")]   
								[Column("LandFinalArea")]   
				[DataMember]  
			    public decimal? LandFinalArea  {get;set;}   
                                /// <summary>
                /// 商业-证载建筑面积
                /// </summary>    
				
				[Display(Name="商业-证载建筑面积")]   
								[Column("BusinessPropertyArea")]   
				[DataMember]  
			    public decimal? BusinessPropertyArea  {get;set;}   
                                /// <summary>
                /// 办公-证载建筑面积
                /// </summary>    
				
				[Display(Name="办公-证载建筑面积")]   
								[Column("OfficePropertyArea")]   
				[DataMember]  
			    public decimal? OfficePropertyArea  {get;set;}   
                                /// <summary>
                /// 工业-证载建筑面积
                /// </summary>    
				
				[Display(Name="工业-证载建筑面积")]   
								[Column("IndustrialPropertyArea")]   
				[DataMember]  
			    public decimal? IndustrialPropertyArea  {get;set;}   
                                /// <summary>
                /// 仓储-证载建筑面积
                /// </summary>    
				
				[Display(Name="仓储-证载建筑面积")]   
								[Column("StoragePropertyArea")]   
				[DataMember]  
			    public decimal? StoragePropertyArea  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LesseeLB")]   
				[DataMember]  
			    public string LesseeLB  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("IsLessee")]   
				[DataMember]  
			    public string IsLessee  {get;set;}   
                                /// <summary>
                /// 土地证记载用途
                /// </summary>    
				
				[Display(Name="土地证记载用途")]   
								[Column("HouseUse")]   
				[DataMember]  
			    public string HouseUse  {get;set;}   
                                /// <summary>
                /// 红线内无证面积
                /// </summary>    
				
				[Display(Name="红线内无证面积")]   
								[Column("RedLine_In")]   
				[DataMember]  
			    public decimal? RedLine_In  {get;set;}   
                                /// <summary>
                /// 红线外无证面积
                /// </summary>    
				
				[Display(Name="红线外无证面积")]   
								[Column("RedLine_Out")]   
				[DataMember]  
			    public decimal? RedLine_Out  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfth")]   
				[DataMember]  
			    public string Sfth  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Thbh")]   
				[DataMember]  
			    public string Thbh  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ThGuid")]   
				[DataMember]  
			    public string ThGuid  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("SFTJ")]   
				[DataMember]  
			    public int SFTJ  {get;set;}   
                                /// <summary>
                /// 储藏室
                /// </summary>    
				
				[Display(Name="储藏室")]   
								[Column("StoreroomArea")]   
				[DataMember]  
			    public decimal? StoreroomArea  {get;set;}   
                                /// <summary>
                /// 批次号
                /// </summary>    
				
				[Display(Name="批次号")]   
								[Column("BatchNumber")]   
				[DataMember]  
			    public string BatchNumber  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("GroupID")]   
				[DataMember]  
			    public Guid? GroupID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：NonResidentialInvestigateTable 
            /// </summary>
            public class NonResidentialInvestigateTableMap : EntityTypeConfiguration<NonResidentialInvestigateTable>
			{
                public NonResidentialInvestigateTableMap()
                {
					this.ToTable("NonResidentialInvestigateTable");
												this.HasKey(t => t.ID);
													 this.Property(t => t.No).HasColumnName("No");
													 this.Property(t => t.ProjectId).HasColumnName("ProjectId").IsRequired();
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName");
													 this.Property(t => t.PropertyRightPrson).HasColumnName("PropertyRightPrson");
													 this.Property(t => t.PropertyRightPrsonCardNo).HasColumnName("PropertyRightPrsonCardNo");
													 this.Property(t => t.TheLegalRepresentative).HasColumnName("TheLegalRepresentative");
													 this.Property(t => t.TheLegalRepresentativePhone).HasColumnName("TheLegalRepresentativePhone");
													 this.Property(t => t.Lessee).HasColumnName("Lessee");
													 this.Property(t => t.LesseeCardNo).HasColumnName("LesseeCardNo");
													 this.Property(t => t.Phone).HasColumnName("Phone");
													 this.Property(t => t.BusinessLicenseNo).HasColumnName("BusinessLicenseNo");
													 this.Property(t => t.HouseAddress).HasColumnName("HouseAddress");
													 this.Property(t => t.NatureOfPropertyID).HasColumnName("NatureOfPropertyID");
													 this.Property(t => t.NatureOfProperty).HasColumnName("NatureOfProperty");
													 this.Property(t => t.BuildingArea).HasColumnName("BuildingArea");
													 this.Property(t => t.UsageID).HasColumnName("UsageID");
													 this.Property(t => t.UsageSituation).HasColumnName("UsageSituation");
													 this.Property(t => t.LandCardNo).HasColumnName("LandCardNo");
													 this.Property(t => t.LandCardArea).HasColumnName("LandCardArea");
													 this.Property(t => t.LandCardUse).HasColumnName("LandCardUse");
													 this.Property(t => t.LandAchieveWay).HasColumnName("LandAchieveWay");
													 this.Property(t => t.BusinessHouseNo).HasColumnName("BusinessHouseNo");
													 this.Property(t => t.BusinessStructureLevel).HasColumnName("BusinessStructureLevel");
													 this.Property(t => t.BusinessBuildArea).HasColumnName("BusinessBuildArea");
													 this.Property(t => t.LandAcquisitionBCWillingness).HasColumnName("LandAcquisitionBCWillingness");
													 this.Property(t => t.Razon).HasColumnName("Razon");
													 this.Property(t => t.LandAcquisitionWillingness).HasColumnName("LandAcquisitionWillingness");
													 this.Property(t => t.OfficeHouseNo).HasColumnName("OfficeHouseNo");
													 this.Property(t => t.OfficeStructureLevel).HasColumnName("OfficeStructureLevel");
													 this.Property(t => t.OfficeBuildArea).HasColumnName("OfficeBuildArea");
													 this.Property(t => t.IndustrialHouseNo).HasColumnName("IndustrialHouseNo");
													 this.Property(t => t.IndustrialStructureLevel).HasColumnName("IndustrialStructureLevel");
													 this.Property(t => t.IndustrialBuildArea).HasColumnName("IndustrialBuildArea");
													 this.Property(t => t.StorageHouseNo).HasColumnName("StorageHouseNo");
													 this.Property(t => t.StorageStructureLevel).HasColumnName("StorageStructureLevel");
													 this.Property(t => t.StorageBuildArea).HasColumnName("StorageBuildArea");
													 this.Property(t => t.OtherName).HasColumnName("OtherName");
													 this.Property(t => t.OtherHouseNo).HasColumnName("OtherHouseNo");
													 this.Property(t => t.OtherStructureLevel).HasColumnName("OtherStructureLevel");
													 this.Property(t => t.OtherBuildArea).HasColumnName("OtherBuildArea");
													 this.Property(t => t.UnReg_Address).HasColumnName("UnReg_Address");
													 this.Property(t => t.UnReg_BuildArea).HasColumnName("UnReg_BuildArea");
													 this.Property(t => t.UnReg_BuildYear).HasColumnName("UnReg_BuildYear");
													 this.Property(t => t.UnReg_PracticalUse).HasColumnName("UnReg_PracticalUse");
													 this.Property(t => t.DocumentToAddress).HasColumnName("DocumentToAddress");
													 this.Property(t => t.ReceiveContactPerson).HasColumnName("ReceiveContactPerson");
													 this.Property(t => t.ReceiveContactPhone).HasColumnName("ReceiveContactPhone");
													 this.Property(t => t.InvestigateUserId).HasColumnName("InvestigateUserId");
													 this.Property(t => t.InvestigateUserName).HasColumnName("InvestigateUserName");
													 this.Property(t => t.InvestigateDate).HasColumnName("InvestigateDate");
													 this.Property(t => t.PropertyRightPrsonSign).HasColumnName("PropertyRightPrsonSign");
													 this.Property(t => t.PropertyRightPrsonSignDate).HasColumnName("PropertyRightPrsonSignDate");
													 this.Property(t => t.IsReleaseToOpenSys).HasColumnName("IsReleaseToOpenSys");
													 this.Property(t => t.ReleaseToOpenSysDate).HasColumnName("ReleaseToOpenSysDate");
													 this.Property(t => t.ReleaseToOpenSysUserId).HasColumnName("ReleaseToOpenSysUserId");
													 this.Property(t => t.RegisterUserId).HasColumnName("RegisterUserId");
													 this.Property(t => t.RegisterUserName).HasColumnName("RegisterUserName");
													 this.Property(t => t.RegisterDate).HasColumnName("RegisterDate");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.UpdateDate).HasColumnName("UpdateDate");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.Sfqy).HasColumnName("Sfqy").IsRequired();
													 this.Property(t => t.JztdArea).HasColumnName("JztdArea");
													 this.Property(t => t.CodeLB).HasColumnName("CodeLB");
													 this.Property(t => t.IsOpen).HasColumnName("IsOpen").IsRequired();
													 this.Property(t => t.PropertyRightCardNo).HasColumnName("PropertyRightCardNo");
													 this.Property(t => t.PropertyRightArea).HasColumnName("PropertyRightArea");
													 this.Property(t => t.LandFinalArea).HasColumnName("LandFinalArea");
													 this.Property(t => t.BusinessPropertyArea).HasColumnName("BusinessPropertyArea");
													 this.Property(t => t.OfficePropertyArea).HasColumnName("OfficePropertyArea");
													 this.Property(t => t.IndustrialPropertyArea).HasColumnName("IndustrialPropertyArea");
													 this.Property(t => t.StoragePropertyArea).HasColumnName("StoragePropertyArea");
													 this.Property(t => t.LesseeLB).HasColumnName("LesseeLB");
													 this.Property(t => t.IsLessee).HasColumnName("IsLessee");
													 this.Property(t => t.HouseUse).HasColumnName("HouseUse");
													 this.Property(t => t.RedLine_In).HasColumnName("RedLine_In");
													 this.Property(t => t.RedLine_Out).HasColumnName("RedLine_Out");
													 this.Property(t => t.Sfth).HasColumnName("Sfth");
													 this.Property(t => t.Thbh).HasColumnName("Thbh");
													 this.Property(t => t.ThGuid).HasColumnName("ThGuid");
													 this.Property(t => t.SFTJ).HasColumnName("SFTJ").IsRequired();
													 this.Property(t => t.StoreroomArea).HasColumnName("StoreroomArea");
													 this.Property(t => t.BatchNumber).HasColumnName("BatchNumber");
													 this.Property(t => t.GroupID).HasColumnName("GroupID");
										}
			}**/

	}

	//----------NonResidentialInvestigateTable结束----------

	